CREATE OR REPLACE VIEW EXP_EMPLOYEE_TYPES_VL AS
SELECT t.employee_type_id,
    t.employee_type_code,
    b.description_text description,
    t.coding_rule_code,
    t.enabled_flag,
    t.created_by,
    t.creation_date,
    t.last_updated_by,
    t.last_update_date
  FROM exp_employee_types t,
    fnd_descriptions b
  WHERE t.description_id = b.description_id(+)
  AND b.ref_table(+)     = 'EXP_EMPLOYEE_TYPES'
  AND b.ref_field(+)     = 'DESCRIPTION_ID'
  AND b.language         = userenv('lang');
